# Method: billingAccounts.get

- [HTTP request](https://docs.cloud.google.com/billing/docs/reference/rest/v1/billingAccounts/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/billing/docs/reference/rest/v1/billingAccounts/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/billing/docs/reference/rest/v1/billingAccounts/get#body.request_body)
- [Response body](https://docs.cloud.google.com/billing/docs/reference/rest/v1/billingAccounts/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/billing/docs/reference/rest/v1/billingAccounts/get#body.aspect)
- [Try it!](https://docs.cloud.google.com/billing/docs/reference/rest/v1/billingAccounts/get#try-it)

Gets information about a billing account. The current authenticated user must be a [viewer of the billing account](https://cloud.google.com/billing/docs/how-to/billing-access).

### HTTP request

`GET https://cloudbilling.googleapis.com/v1/{name=billingAccounts/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the billing account to retrieve. For example, `billingAccounts/012345-567890-ABCDEF`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/billing/docs/reference/rest/v1/billingAccounts#BillingAccount`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/cloud-billing`
- `https://www.googleapis.com/auth/cloud-billing.readonly`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).